Page MenuHomePhabricator

Create static version of wiki page as reference page for our tests
Closed, ResolvedPublic

Description

Idea from @Krinkle at the offsite: Deploy a static version of an article on our domain so we can have it as a benchmark to "know" better if the problem is on Wikipedia or the tool we are using. We tried out having only the header/footer before but that is so fast so it didn't help us, we need to have some actual content on that reference page.

https://github.com/wikimedia/operations-mediawiki-config/tree/master/docroot/wikipedia.org/speed-tests

Event Timeline

Peter created this task.Jan 22 2018, 8:31 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 22 2018, 8:31 AM

Allows us to differentiate between when something has regressed within MediaWiki or within our testing infrastructure.

Krinkle triaged this task as Normal priority.Jun 21 2018, 10:55 AM
Krinkle added a project: good first bug.
Krinkle updated the task description. (Show Details)
Imarlier assigned this task to Krinkle.Dec 5 2018, 4:58 PM

Change 478447 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[operations/mediawiki-config@master] speed-tests: Remove old content and add a new article copy

https://gerrit.wikimedia.org/r/478447

Krinkle moved this task from Next In This Quarter to Doing on the Performance-Team board.

Change 478447 merged by jenkins-bot:
[operations/mediawiki-config@master] speed-tests: Remove old content and add a new article copy

https://gerrit.wikimedia.org/r/478447

Mentioned in SAL (#wikimedia-operations) [2018-12-08T23:07:07Z] <krinkle@deploy1001> Synchronized docroot/wikipedia.org/speed-tests/: T185446 - I6cf29d598a11 (duration: 00m 47s)

The static page now exists. Once monitored by WebPageTest/WebPageReplay, it will allow us to differentiate betweenp perf impact triggered by wiki-related changes (MediaWiki software, its configuration, and user-generated content) and infrastructure changes (e.g. Varnish/Nginx in prod, or the proxy and browser we use and the test server it runs on).

I've filed T211487 for the similar task for an on-wiki page.

Remaining: Add monitoring.

Krinkle removed Krinkle as the assignee of this task.Dec 8 2018, 11:17 PM
Krinkle moved this task from Doing to Next In This Quarter on the Performance-Team board.
Krinkle claimed this task.Mar 25 2019, 9:25 PM

Share url with Peter on this task.

Krinkle renamed this task from Add static Obama page as reference page for our tests to Create static version of wiki page as reference page for our tests.Mar 25 2019, 10:04 PM
Krinkle updated the task description. (Show Details)

Change 499003 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[operations/mediawiki-config@master] speed-tests: Make static rev 872156204 more standalone

https://gerrit.wikimedia.org/r/499003

Change 499003 merged by jenkins-bot:
[operations/mediawiki-config@master] speed-tests: Make static rev 872156204 more standalone

https://gerrit.wikimedia.org/r/499003

Change 499009 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[operations/mediawiki-config@master] speed-tests: Actually add the images

https://gerrit.wikimedia.org/r/499009

Change 499009 merged by jenkins-bot:
[operations/mediawiki-config@master] speed-tests: Actually add the images

https://gerrit.wikimedia.org/r/499009

Mentioned in SAL (#wikimedia-operations) [2019-03-25T22:32:48Z] <krinkle@deploy1001> Synchronized docroot/wikipedia.org/speed-tests/Banksy.enwiki.872156204: T185446 (duration: 00m 49s)

Krinkle reassigned this task from Krinkle to Peter.Mar 25 2019, 10:34 PM

Change 499772 had a related patch set uploaded (by Phedenskog; owner: Phedenskog):
[performance/WebPageTest@master] Test a static test page (both in FF and Chrome)

https://gerrit.wikimedia.org/r/499772

Change 499772 merged by jenkins-bot:
[performance/WebPageTest@master] Test a static test page (both in FF and Chrome)

https://gerrit.wikimedia.org/r/499772

Peter closed this task as Resolved.Apr 1 2019, 10:06 AM